Bug 1782131 - hammer compute-resource create/update region helptext requires to update for AzureRM
Summary: hammer compute-resource create/update region helptext requires to update for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.7.0
Assignee: Aditi Puntambekar
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1775890
TreeView+ depends on / blocked
 
Reported: 2019-12-11 09:04 UTC by vijsingh
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: foreman-1.24.1.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28783 Normal Closed Update CR api 'region' param description for AzureRm 2020-04-15 08:45:15 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:34 UTC

Description vijsingh 2019-12-11 09:04:35 UTC
Description of problem:

hammer compute-resource create/update region helptext requires to update for AzureRM

Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 5.0

How reproducible:

Always

Steps to Reproduce:
1. # hammer compute-resource create --help|grep -i region
  --region REGION                             For EC2 only, use 'us-gov-west-1' for GovCloud region

# hammer compute-resource update --help|grep -i region
 --region REGION                             For EC2 only, use 'us-gov-west-1' for GovCloud region


Actual results:
 Currently help text shows for EC2 only

Expected results:
 Requires to update helptext for AzureRM as well

Additional info:

Comment 3 Bryan Kearney 2020-01-22 13:01:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28783 has been resolved.

Comment 5 vijsingh 2020-02-11 10:13:54 UTC
Verified

@Satellite 6.7.0 snap 11.0

Observation: helptext are updated

[root@qe-sat6-bm1 ~]# hammer compute-resource create --help|grep -i regio
 --region REGION                             For AzureRm eg. 'eastus' and for EC2 only. Use
                                             'us-gov-west-1' for EC2 GovCloud region
[root@qe-sat6-bm1 ~]# 
[root@qe-sat6-bm1 ~]# hammer compute-resource update --help|grep -i region
 --region REGION                             For AzureRm eg. 'eastus' and for EC2 only. Use
                                             'us-gov-west-1' for EC2 GovCloud region
[root@qe-sat6-bm1 ~]#

Comment 8 errata-xmlrpc 2020-04-14 13:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.